"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const requests_1 = require("./requests");
class Ais {
    constructor(config) {
        this.config = config;
    }
    getCharts(...airports) {
        const requestHandler = new requests_1.ChartRequest(this.config);
        return Promise.all(airports.map((airport) => requestHandler.performRequest(airport)));
    }
    getNotams(...airports) {
        const requestHandler = new requests_1.NotamRequest(this.config);
        return Promise.all(airports.map((airport) => requestHandler.performRequest(airport)));
    }
    getAipSuplements(...airports) {
        const requestHandler = new requests_1.AipSuplementRequest(this.config);
        return Promise.all(airports.map((airport) => requestHandler.performRequest(airport)));
    }
    getMeteorology(...airports) {
        const requestHandler = new requests_1.MeteorologyRequest(this.config);
        return Promise.all(airports.map((airport) => requestHandler.performRequest(airport)));
    }
    getRotaer(...airports) {
        const requestHandler = new requests_1.RotaerRequest(this.config);
        return Promise.all(airports.map((airport) => requestHandler.performRequest(airport)));
    }
}
exports.default = Ais;
