"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const convert_date_1 = require("../common/convert-date");
const api_areas_1 = require("../common/api-areas");
const model_request_1 = require("../common/model-request");
const factories_1 = require("../factories");
class AipSuplementRequest extends model_request_1.ModelRequest {
    constructor(config) {
        super(config, api_areas_1.ApiAreas.aip);
    }
    processRequest(result) {
        if (!result) {
            return [];
        }
        const suplements = [];
        result.suplementos[0].item.forEach((suplement) => {
            return suplements.push(new factories_1.AipSuplement({
                anexo: suplement.anexo[0],
                date: convert_date_1.convertDate(suplement.dt[0]),
                duration: suplement.duracao[0],
                id: suplement.id[0],
                local: suplement.local[0],
                n: suplement.n[0],
                ref: suplement.ref[0],
                serie: suplement.serie[0],
                status: suplement.status[0],
                text: suplement.texto[0],
                title: suplement.titulo[0],
                type: suplement.tipo[0],
            }));
        });
        return suplements;
    }
}
exports.AipSuplementRequest = AipSuplementRequest;
