"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const convert_date_1 = require("../common/convert-date");
const api_areas_1 = require("../common/api-areas");
const model_request_1 = require("../common/model-request");
const factories_1 = require("../factories");
class ChartRequest extends model_request_1.ModelRequest {
    constructor(config) {
        super(config, api_areas_1.ApiAreas.charts);
    }
    processRequest(result) {
        if (!result) {
            return [];
        }
        const charts = [];
        result.cartas[0].item.forEach((chart) => {
            return charts.push(new factories_1.Chart({
                date: convert_date_1.convertDate(chart.dt[0]),
                fileName: chart.arquivo[0],
                icp: chart.icp[0],
                id: chart.id[0],
                link: chart.link[0].split('apikey=')[0],
                name: chart.nome[0],
                notam: chart.notam[0],
                pe: chart.pe[0],
                species: chart.especie[0],
                tabcode: chart.tabcode[0],
                type: chart.tipo[0],
                typeDescription: chart.tipo_descr[0],
            }));
        });
        return charts;
    }
}
exports.ChartRequest = ChartRequest;
