"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const api_areas_1 = require("../common/api-areas");
const model_request_1 = require("../common/model-request");
const factories_1 = require("../factories");
class MeteorologyRequest extends model_request_1.ModelRequest {
    constructor(config) {
        super(config, api_areas_1.ApiAreas.meteorology);
    }
    processRequest(result) {
        if (!result) {
            return [];
        }
        const mets = [];
        mets.push(new factories_1.Meteorology({
            metar: result.met[0].metar[0].indexOf('zada na base de dados da REDEMET') !== -1 ? null : result.met[0].metar[0],
            taf: result.met[0].taf[0].indexOf('localizada na base de dados da REDEMET') !== -1 ? null : result.met[0].taf[0],
        }));
        return mets;
    }
}
exports.MeteorologyRequest = MeteorologyRequest;
